if Hooks then
	Hooks:Add("LocalizationManagerPostInit", "FastNet_Localization", function(loc)
		LocalizationManager:add_localized_strings({
			["menu_jukebox_screen_preplanning"] = "Preplanning"
		})
	end)
end

local modifiy_node_preplanning_original2 = MenuPrePlanningInitiator.modifiy_node_preplanning
function MenuPrePlanningInitiator:modifiy_node_preplanning(node, item_name, selected_item)
	local node, selected_item = modifiy_node_preplanning_original2(self, node, item_name, selected_item)

    managers.music:post_event(managers.music:jukebox_menu_track("preplanning"))
	return node, selected_item
end

local modify_node_menujukebox = MenuJukeboxMenuTracks.modify_node
function MenuJukeboxMenuTracks:modify_node(node, data)
    modify_node_menujukebox(self, node, data)
	managers.menu_component:show_contract_character(false)
	node:clean_items()

	local track_list, track_locked = managers.music:jukebox_menu_tracks()
	local option_data = {
		type = "MenuItemMultiChoiceWithIcon"
	}

	table.insert(option_data, {
		value = "all",
		text_id = "menu_jukebox_playlist_all",
		_meta = "option"
	})
	table.insert(option_data, {
		value = "playlist",
		text_id = "menu_jukebox_random_menu_playlist",
		_meta = "option"
	})

	for _, track_name in pairs(track_list) do
		if not track_locked[track_name] then
			table.insert(option_data, {
				_meta = "option",
				text_id = "menu_jukebox_screen_" .. track_name,
				value = track_name
			})
		end
	end

	local menu_options = {
		"mainmenu",
		"loadout",
        "preplanning",
		"heistresult",
		"heistlost",
		"heistfinish",
		"credits"
	}

	for _, track_name in pairs(menu_options) do
		local params = {
			callback = "jukebox_option_menu_tracks",
			text_offset = 100,
			align = "left",
			name = track_name,
			text_id = "menu_jukebox_screen_" .. track_name,
			icon = tweak_data.hud_icons:get_icon_data("jukebox_playing_icon")
		}
		local item = node:create_item(option_data, params)

		item:set_value(managers.music:track_attachment(track_name))
		node:add_item(item)
	end

	managers.menu:add_back_button(node)

	return node
end
